import { StructurerProvider } from "./base/StructurerProvider";
import { LanguageIdentifier } from "../base/common/languages/languages";
export declare class StructurerProviderManager {
    private static instance;
    private constructor();
    static getInstance(): StructurerProviderManager;
    getStructurer(lang: LanguageIdentifier): StructurerProvider | undefined;
}
